# Interface: ModuleFederationConfig

## Table of contents

### Properties

- [additionalShared](../../devkit/documents/ModuleFederationConfig#additionalshared): AdditionalSharedConfig
- [exposes](../../devkit/documents/ModuleFederationConfig#exposes): Record&lt;string, string&gt;
- [library](../../devkit/documents/ModuleFederationConfig#library): ModuleFederationLibrary
- [name](../../devkit/documents/ModuleFederationConfig#name): string
- [remotes](../../devkit/documents/ModuleFederationConfig#remotes): Remotes
- [shared](../../devkit/documents/ModuleFederationConfig#shared): SharedFunction

## Properties

### additionalShared

• `Optional` **additionalShared**: [`AdditionalSharedConfig`](../../devkit/documents/AdditionalSharedConfig)

---

### exposes

• `Optional` **exposes**: `Record`<`string`, `string`\>

---

### library

• `Optional` **library**: [`ModuleFederationLibrary`](../../devkit/documents/ModuleFederationLibrary)

---

### name

• **name**: `string`

---

### remotes

• `Optional` **remotes**: [`Remotes`](../../devkit/documents/Remotes)

---

### shared

• `Optional` **shared**: [`SharedFunction`](../../devkit/documents/SharedFunction)
